Public Member Functions | Public Attributes | Friends | List of all members
ActaParserInternal::Label Struct Reference

Internal: class used to store a list type in ActaParser. More...

## Public Member Functions
| Label (int type=-1)
| constructor More...
bool | operator== (Label const &lbl) const
| operator== More...
bool | operator!= (Label const &lbl) const
| operator=! More...

## Public Attributes
int | m_type
| the label type More...

## Friends
std::ostream & | operator<< (std::ostream &o, Label const &lbl)
| operator<< More...

## Detailed Description

Internal: class used to store a list type in ActaParser.

## Constructor & Destructor Documentation

## ◆ Label()

ActaParserInternal::Label::Label | ( | int | type = `-1` | ) |
| inline explicit

constructor

## Member Function Documentation

## ◆ operator!=()

bool ActaParserInternal::Label::operator!= | ( | Label const & | lbl | ) | const
| inline

operator=!

Referenced by ActaParserInternal::SubDocument::operator==().

## ◆ operator==()

bool ActaParserInternal::Label::operator== | ( | Label const & | lbl | ) | const
| inline

operator==

Referenced by operator!=(), and ActaParserInternal::Printing::operator!=().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Label const & | lbl
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_type

int ActaParserInternal::Label::m_type

the label type

Referenced by operator==().

The documentation for this struct was generated from the following file:

- ActaParser.cxx